Package org.apache.sling.scripting.sightly.impl.compiler

## Class PushStream.StreamMessage

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.PushStream.StreamMessage

Enclosing class:
  PushStream

    public static class PushStream.StreamMessage
    extends Object

### Constructor Summary

Constructors
`StreamMessage​(String message, String code)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCode()`
`String` `getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamMessage

    public StreamMessage​(String message,
                         String code)

### Method Detail

#### getMessage

    public String getMessage()

#### getCode

    public String getCode()